Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface JUnitXmlReport

    org.gradle.util.Configurable
      org.gradle.api.reporting.DirectoryReport
          org.gradle.api.reporting.ConfigurableReport
              org.gradle.api.tasks.testing.JUnitXmlReport
                  org.gradle.api.reporting.Report

All Superinterfaces:
  Configurable, DirectoryReport, ConfigurableReport, Report

    public interface JUnitXmlReport
    extends DirectoryReport

The JUnit XML files, commonly used to communicate results to CI servers.

Field Summary

Fields inherited from interface Report
NAMER

Method Summary
`boolean` | `isOutputPerTestCase()` Should the output be associated with individual test cases instead of at the suite level.
`void` | `setOutputPerTestCase(boolean outputPerTestCase)` Should the output be associated with individual test cases instead of at the suite level.

Methods inherited from interface DirectoryReport
getEntryPoint, getOutputType

Methods inherited from interface ConfigurableReport
setDestination

Methods inherited from interface Report
getDestination, getDisplayName, getName, getOutputType, isEnabled, setEnabled

Method Detail

### isOutputPerTestCase

    @Incubating
    public boolean isOutputPerTestCase()

  Should the output be associated with individual test cases instead of at the suite level.

### setOutputPerTestCase

    @Incubating
    public void setOutputPerTestCase(boolean outputPerTestCase)

  Should the output be associated with individual test cases instead of at the suite level.

Gradle API 1.10